GEThttps://api.deepinfo.com/v1/easm/vulnerabilities/{vulnerability_id}

Returns one vulnerability with CVE details and affected assets.

Authentication

Send your API key in the apikey request header.

Path Parameters

ParameterRequiredDescription
vulnerability_idRequired
Example00000000000000000000000e0c9d0001

Response Fields

FieldTypeDescription
idstring
cveobject
affected_asset_countobject
affected_domain_asset_countinteger
affected_asset_tagsarray of string
first_seen_datestring
date-time
last_seen_datestring
date-time
last_check_datestring
date-time
statestring
One of active, inactive
is_certainboolean
is_potentialboolean
certainly_affected_asset_countobject
potentially_affected_asset_countobject

Response Schema

FieldTypeExample
idstring"00000000000000000000000e0c9d0001"
cveobject
cve.idstring"CVE-2014-6271"
cve.publishedstring"2014-09-24T18:48:04Z"
cve.last_modifiedstring"2026-06-17T00:12:48Z"
cve.enrichmentobject
cve.enrichment.cwearray<object>
cve.enrichment.cwe[].idnumber78
cve.enrichment.cwe[].owasptop10_2021string"A03 Injection"
cve.enrichment.cwe[].namestring"Improper Neutralization of Special…"
cve.enrichment.cwe[].descriptionstring"The product constructs all or part…"
cve.enrichment.cwe[].capec_idarray<number>6
cve.enrichment.cwe[].scopearray<string>"Availability"
cve.enrichment.cwe[].impactarray<string>"DoS: Crash, Exit, or Restart"
cve.enrichment.cwe[].detection_methodarray<string>"Architecture or Design Review"
cve.enrichment.epss_scoreobject
cve.enrichment.epss_score.epssnumber0.99999
cve.enrichment.epss_score.percentilenumber0.99993
cve.enrichment.epss_score.datestring"2026-09-23T00:00:00Z"
cve.enrichment.cisa_kevobject
cve.enrichment.cisa_kev.vendor_projectstring"GNU"
cve.enrichment.cisa_kev.productstring"Bourne-Again Shell (Bash)"
cve.enrichment.cisa_kev.vulnerability_namestring"GNU Bourne-Again Shell (Bash) Arbit…"
cve.enrichment.cisa_kev.date_addedstring"2022-01-28T00:00:00Z"
cve.enrichment.cisa_kev.short_descriptionstring"GNU Bash through 4.3 processes trai…"
cve.enrichment.cisa_kev.required_actionstring"Apply updates per vendor instructio…"
cve.enrichment.cisa_kev.due_datestring"2022-07-28T00:00:00Z"
cve.enrichment.cisa_kev.known_ransomware_campaign_usestring"Unknown"
cve.enrichment.cisa_kev.notesstring"https://nvd.nist.gov/vuln/detail/CV…"
cve.enrichment.vdeep_metricobject
cve.enrichment.vdeep_metric.cvss_versionstring"3.1"
cve.enrichment.vdeep_metric.cvss_dataobject
cve.enrichment.vdeep_metric.cvss_data.vulnerable_system_confidentialitystring"HIGH"
cve.enrichment.vdeep_metric.cvss_data.vulnerable_system_integritystring"HIGH"
cve.enrichment.vdeep_metric.cvss_data.vulnerable_system_availabilitystring"HIGH"
cve.enrichment.vdeep_metric.cvss_data.base_scorenumber9.8
cve.enrichment.vdeep_metric.cvss_data.base_severitystring"critical"
affected_asset_countobject
affected_asset_count.totalnumber79
affected_asset_count.domainnumber36
affected_asset_count.subdomainnumber3
affected_asset_count.ipnumber17
affected_asset_count.websitenumber23
affected_domain_asset_countnumber0
affected_asset_tagsarray
first_seen_datestring"2025-06-01T08:00:00Z"
last_seen_datestring"2025-07-31T08:00:00Z"
last_check_datestring"2025-07-31T08:00:00Z"
statestring"active"
is_certainbooleantrue
is_potentialbooleanfalse
certainly_affected_asset_countobject
certainly_affected_asset_count.totalnumber54
certainly_affected_asset_count.domainnumber14
certainly_affected_asset_count.subdomainnumber25
certainly_affected_asset_count.ipnumber4
certainly_affected_asset_count.websitenumber11
potentially_affected_asset_countobject
potentially_affected_asset_count.totalnumber70
potentially_affected_asset_count.domainnumber26
potentially_affected_asset_count.subdomainnumber17
potentially_affected_asset_count.ipnumber21
potentially_affected_asset_count.websitenumber6

Examples

Selecting one loads it into the request and response panels.

Reference updated